aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-16 21:08:02 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-16 21:08:27 +1200
commit1e508ea0eaf10afe4b88fc15af288f2b4c285460 (patch)
tree45aaa3e2e0af75101eeef401e3ebbd0a1f0fc27b /bin
parentRemove crufty hash call from edda(1) (diff)
downloaddotfiles-1e508ea0eaf10afe4b88fc15af288f2b4c285460.tar.gz
dotfiles-1e508ea0eaf10afe4b88fc15af288f2b4c285460.zip
Simplify help in edda(1) and eds(1)
Diffstat (limited to 'bin')
-rwxr-xr-xbin/edda21
-rwxr-xr-xbin/eds20
2 files changed, 9 insertions, 32 deletions
diff --git a/bin/edda b/bin/edda
index f067774f..5e6f4ec4 100755
--- a/bin/edda
+++ b/bin/edda
@@ -4,25 +4,10 @@
# Give up completely if no BASH_VERSINFO (<2.0)
[ -n "$BASH_VERSINFO" ] || exit
-# Define usage function
-usage() {
- printf 'USAGE: %s [OPTS] [--] FILE1 [FILE2...]\n' "$self"
-}
-
-# Need at least one file
-if ! (($#)) ; then
- usage >&2
- exit 1
-fi
-
# Parse options out, give help if necessary
declare -a opts
for arg ; do
case $arg in
- --help|-h|-\?)
- usage
- exit
- ;;
--)
shift
break
@@ -34,6 +19,12 @@ for arg ; do
esac
done
+# Need at least one file after options are parsed out
+if ! (($#)) ; then
+ printf >&2 'edda: Need at least one file\n'
+ exit 2
+fi
+
# Duplicate stdin into a file, which we'll remove on exit
stdin=$(mktemp -t "$self".XXXXXX) || exit
cleanup() {
diff --git a/bin/eds b/bin/eds
index eda00174..cf5c5e65 100755
--- a/bin/eds
+++ b/bin/eds
@@ -1,24 +1,13 @@
#!/usr/bin/env bash
# Create and edit executable scripts in a directory EDSPATH (defaults to ~/.local/bin)
-self=eds
# Give up completely if no BASH_VERSINFO (<2.0)
[ -n "$BASH_VERSINFO" ] || exit
-# Define a function to show usage
-usage() {
- printf 'USAGE: %s [EDITOR_OPTS] [--] FILE1 [FILE2...]\n' \
- "$self"
-}
-
# Process options, including detecting requests for help
declare -a opts
for arg ; do
case $arg in
- --help|-h|-\?)
- usage
- exit 0
- ;;
--)
shift
break
@@ -27,16 +16,13 @@ for arg ; do
shift
opts[${#opts[@]}]=$arg
;;
- *)
- break
- ;;
esac
done
-# If no arguments left, spit usage as an error and bail
+# Need at least one file after options are parsed out
if ! (($#)) ; then
- usage >&2
- exit 1
+ printf >&2 'eds: Need at least one script name\n'
+ exit 2
fi
# Create the script directory if it doesn't exist yet